Name:           bc-gh
Version:        7.0.2
Release:        2%{?dist}
Summary:        Gavin D. Howard's bc (a numeric processing language) and dc (a calculator)

License:        BSD 2-clause
URL:            https://git.gavinhoward.com/gavin/bc
Source0:        https://git.gavinhoward.com/gavin/bc/releases/download/%{version}/bc-%{version}.tar.xz

BuildRequires:  make
BuildRequires:  clang
Conflicts:      bc

%description
bc(1) is an interactive processor for a language first standardized in
1991 by POSIX.  The language provides unlimited precision decimal
arithmetic and is somewhat C-like, but there are differences.  This
bc(1) is a drop-in replacement for any bc(1), including (and
especially) the GNU bc(1).  It also has many extensions and extra
features beyond other implementations.

dc(1) is an arbitrary-precision calculator.  It uses a stack (reverse
Polish notation) to store numbers and results of computations.
Arithmetic operations pop arguments off of the stack and push the results.


%prep
%setup -q -n bc-%{version}


%build
CC=clang CFLAGS="-flto" ./configure.sh -O3 -k 34 -g
%make_build


%install
rm -rf $RPM_BUILD_ROOT
./scripts/safe-install.sh -Dm644 manuals/bc.1 %{buildroot}%{_mandir}/man1/bc.1
./scripts/safe-install.sh -Dm644 manuals/dc.1 %{buildroot}%{_mandir}/man1/dc.1
./scripts/exec-install.sh %{buildroot}%{_bindir} "" "bin"


%files
%license LICENSE.md NOTICE.md
%doc NEWS.md
%{_bindir}/bc
%{_bindir}/dc
%{_mandir}/man1/bc.1*
%{_mandir}/man1/dc.1*


%changelog
* Wed Oct 9 2024 Tonkünstler-on-the-Bund <copr@tonkunstler-on-the-bund.com> - 7.0.2-2
- Use Conflicts: tag

* Mon Sep 23 2024 Tonkünstler-on-the-Bund <copr@tonkunstler-on-the-bund.com> - 7.0.2-1
- First bc-gh package
